You are not logged in.

#1 2010-11-08 10:56:33

marines
Member
From: Poland
Registered: 2010-08-21
Posts: 20
Website

Xfce 4.8 pre1

would anybody make PKGBUILD for pre release of Xfce 4.8? smile
http://www.xfce.org/about/news?id=24

Offline

#2 2010-11-08 11:46:56

Cdh
Member
Registered: 2009-02-03
Posts: 1,098

Re: Xfce 4.8 pre1

For xfce 4.6 svn there was a repo. That would be really nice again.


฿ 18PRsqbZCrwPUrVnJe1BZvza7bwSDbpxZz

Offline

#3 2010-11-08 12:09:23

nbvcxz
Member
From: Poland
Registered: 2007-12-29
Posts: 193

Re: Xfce 4.8 pre1

There are PKGBUILDS made by magicrhesus https://aur.archlinux.org/packages.php? … esus&SeB=m . All builds from xfce4-devel group are in fact Xfce 4.8 pre1.

Last edited by nbvcxz (2010-11-08 13:46:49)


Lenovo G50 | LXQT-git | compton | conky

Offline

#4 2010-11-08 13:15:47

flamelab
Member
From: Athens, Hellas (Greece)
Registered: 2007-12-26
Posts: 2,160

Re: Xfce 4.8 pre1

These aren't xfce4*-git packages unfortunatelly...

Offline

#5 2010-11-08 15:04:59

marines
Member
From: Poland
Registered: 2010-08-21
Posts: 20
Website

Re: Xfce 4.8 pre1

nbvcxz, ok, thanks, I've used those PKGBUILDS. whole upgrade went a little tricky but it was worth doing it. smile

Offline

#6 2010-11-09 09:32:10

nbvcxz
Member
From: Poland
Registered: 2007-12-29
Posts: 193

Re: Xfce 4.8 pre1

I am not going to start new subject so I describe few problems I have with Xfce 4.8 pre1 - maybe you can help me to solve them.
First impressions are positive: it is quite usable, new panels are easier to manage (eg. adding items you can use backgrounds etc.). Tumbler works fine with thumbnails. But I still have some problems to have it fully usable:

  • Thunar, Xfdesktop and other don't operate with GIO properly: I use pure UDEV system and after plugging usb stick it is not mounted by thunar-volman (everything is fine in udev - I can mount it with udev rules  also is visible with udevadm).
    I tried to use UDISKS (which instal POLKIT), but there is also no effect. Finally I tried to use CONSOLEKIT with login manager (I use Slim, so it is not mandatory), but it also doesn't solve the problem.

  • Some applets (eg. mixer) are still not ported to 4.8 . As marines advised - you are able to compile working mixer using xfce4-mixer-git (please change to xfce4-panel-devel>=4.6.1 if you use -devel versions)

  • Some apps need just to symlink to the libraries (libexo-0.3.so.0 -> libexo-1.so.0.0.0)

  • Some apps (eg. Printer Manager) needs still old libxfcegui4 while Xfce 4.8 uses libxfcegui4

  • You can use old libxfce4menu, but them my menu was ugly (some items doubled) - I just decided to install gnome-menus instead of libxfce4menu Fixed with magicrhesus xfce-devel latest  repo

  • Sounds are not played - reopened topic by AndyRTR https://bbs.archlinux.org/viewtopic.php?id=81870

  • Trash (applet) doesn't work - can't connect to dbus The thing is that in 4.8 trash requires GVFS installed

  • At some gtk themes few pixels are cut from left side of notification area - reported by shemz

Here list of components installed as parts of new Xfce 4.8 pre 1

local/exo-devel 0.5.4-2 (xfce4-devel)
    Extensions to Xfce by os-cillation (Development Version)
local/garcon-devel 0.1.3-1 (xfce4-devel)
    Implementation of the freedesktop.org menu specification (Development Version)
local/libxfce4ui-devel 4.7.4-2 (xfce4-devel)
    a freedesktop.org compliant ui implementation for Xfce (Development Version)
local/libxfce4util-devel 4.7.3-1 (xfce4-devel)
    Basic utility non-GUI functions for Xfce (Development Version)
extra/mousepad 0.2.16-2 (xfce4)
    Simple Text Editor for Xfce4 (based on Gedit)
extra/orage 4.6.1-1 (xfce4)
    A simple calendar application with reminders for Xfce
extra/terminal 0.4.5-1 (xfce4)
    A modern terminal emulator primarly for the Xfce desktop environment
local/thunar-devel 1.1.4-1 (xfce4-devel)
    New modern file manager for Xfce (Development Version)
local/thunar-vfs-devel 1.1.0-2 (xfce4-devel)
    a freedesktop.org compliant ui implementation for Xfce (Development Version)
local/thunar-volman-devel 0.5.2-1 (xfce4-devel)
    a freedesktop.org compliant ui implementation for Xfce (Development Version)
local/tumbler-devel 0.1.4-2 (xfce4-devel)
    D-Bus service for applications to request thumbnails (Development Version)
local/xfce-utils-devel 4.7.1-1 (xfce4-devel)
    Utilities for Xfce (Development Version)
local/xfce4-appfinder-devel 4.7.1-1 (xfce4-devel)
    Xfce application finder (Development Version)
local/xfce4-dev-tools-devel 4.7.3-2 (xfce4-devel)
    Xfce developer tools (Development Version)
local/xfce4-panel-devel 4.7.4-1 (xfce4-devel)
    Panel for the Xfce desktop environment (Development Version)
local/xfce4-session-devel 4.7.1-1 (xfce4-devel)
    A session manager for Xfce (Development Version)
local/xfce4-settings-devel 4.7.4-1 (xfce4-devel)
    Settings manager for XFCE (Development Version)
local/xfconf-devel 4.7.3-1 (xfce4-devel)
    xfconf (Development Version)
local/xfdesktop-devel 4.7.2-2 (xfce4-devel)
    A desktop manager for Xfce (Development Version)
local/xfwm4-devel 4.7.1-2 (xfce4-devel)
    Xfce window manager (Development Version)
local/xfwm4-themes-devel 4.6.0-1 (xfce4-devel)
    Additional themes for XFWM (Development Version)

Last edited by nbvcxz (2010-11-17 14:38:23)


Lenovo G50 | LXQT-git | compton | conky

Offline

#7 2010-11-09 10:26:26

marines
Member
From: Poland
Registered: 2010-08-21
Posts: 20
Website

Re: Xfce 4.8 pre1

nbvcxz wrote:

[*]Thunar, Xfdesktop and other don't operate with GIO properly: I use pure UDEV system and after plugging usb stick it is not mounted by thunar-volman (everything is fine in udev - I can mount it with uder rules  also is visible with udevadm).
I tried to use UDISKS (which instal POLKIT), but there is also no effect. Finally I tried to use CONSOLEKIT with login manager (I use Slim, so it is not mandatory), but it also doesn't solve the problem.[/*]

I didn't manage to make it work either.

[*]Some applets (eg. mixer) are still not ported to 4.8[/*]

xfce4-mixer-git works well for me.

[*]Some apps need just to symlink to the libraries (libexo-0.3.so.0 -> libexo-1.so.0.0.0)[/*]

I've noticed it, too.

[*]Some apps (eg. Printer Manager) needs still old libxfcegui4 while Xfce 4.8 uses libxfcegui4[/*]

I'm not using printer so I don't know how to solve this.

[*]You can use old libxfce4menu, but them my menu was ugly (some items doubled) - I just decided to install gnome-menus instead of libxfce4menu[/*]

There were few conflicts connected with xfce4-panel and AFAIR libxfce4menu but I changed them in PKGBUILDS and everything went well. Menu looks like before.

My pacman log:

[2010-11-08 15:03] Running 'pacman -U ../xfce4-dev-tools-devel/xfce4-dev-tools-devel-4.7.3-2-any.pkg.tar.xz'
[2010-11-08 15:03] installed xfce4-dev-tools-devel (4.7.3-2)

[2010-11-08 15:04] Running 'pacman -Ud ../libxfce4util-devel/libxfce4util-devel-4.7.3-1-x86_64.pkg.tar.xz'
[2010-11-08 15:04] removed libxfce4util (4.6.2-1)
[2010-11-08 15:04] installed libxfce4util-devel (4.7.3-1)

[2010-11-08 15:06] Running 'pacman -Ud xfconf-devel/xfconf-devel-4.7.3-1-x86_64.pkg.tar.xz'
[2010-11-08 15:06] removed xfconf (4.6.2-2)
[2010-11-08 15:06] installed xfconf-devel (4.7.3-1)

[2010-11-08 15:14] Running 'pacman -Ud ../libxfcegui4-devel/libxfcegui4-devel-4.7.0-1-x86_64.pkg.tar.xz'
[2010-11-08 15:14] removed libxfcegui4 (4.6.4-1)
[2010-11-08 15:14] installed libxfcegui4-devel (4.7.0-1)

[2010-11-08 15:14] Running 'pacman -Ud exo-devel-0.5.4-2-x86_64.pkg.tar.xz'
[2010-11-08 15:15] removed exo (0.3.107-2)
[2010-11-08 15:15] installed exo-devel (0.5.4-2)

[2010-11-08 15:20] Running 'pacman-color -Rsn -d libxfce4menu'
[2010-11-08 15:20] removed libxfce4menu (4.6.2-1)

[2010-11-08 15:21] Running 'pacman-color -Rsn libxfce4menu xfdesktop'
[2010-11-08 15:21] removed xfdesktop (4.6.2-2)
[2010-11-08 15:21] removed libxfce4menu (4.6.2-1)

[2010-11-08 15:21] Running 'pacman-color -Rsn thunar thunar-archive-plugin thunar-media-tags-plugin'
[2010-11-08 15:21] removed thunar-media-tags-plugin (0.1.2-6)
[2010-11-08 15:21] removed thunar-archive-plugin (0.2.4-6)
[2010-11-08 15:21] removed thunar (1.0.2-1)
[2010-11-08 15:22] removed hal (0.5.14-4)
[2010-11-08 15:22] removed pm-utils (1.4.0-1)
[2010-11-08 15:22] removed vbetool (1.1-1)
[2010-11-08 15:22] removed pm-quirks (0.20100619-1)
[2010-11-08 15:22] removed hal-info (0.20091130-1)
[2010-11-08 15:22] removed eject (2.1.5-4)
[2010-11-08 15:22] removed dmidecode (2.10-1)
[2010-11-08 15:22] removed consolekit (0.4.1-4)

[2010-11-08 15:23] Running 'pacman -U garcon-devel-0.1.3-1-x86_64.pkg.tar.xz'
[2010-11-08 15:23] installed garcon-devel (0.1.3-1)

[2010-11-08 15:29] Running 'pacman -U libxfce4ui-devel-4.7.4-2-x86_64.pkg.tar.xz'
[2010-11-08 15:29] installed libxfce4ui-devel (4.7.4-2)

[2010-11-08 15:31] Running 'pacman -Ud xfce4-panel-devel-4.7.4-1-x86_64.pkg.tar.xz'
[2010-11-08 15:31] removed xfce4-panel (4.6.4-1)
[2010-11-08 15:31] installed xfce4-panel-devel (4.7.4-1)

[2010-11-08 15:34] Running 'pacman -U thunar-devel-1.1.4-1-x86_64.pkg.tar.xz'
[2010-11-08 15:34] installed thunar-devel (1.1.4-1)

[2010-11-08 15:35] Running 'pacman -U xfce4-settings-devel-4.7.4-1-x86_64.pkg.tar.xz'
[2010-11-08 15:35] removed xfce4-settings (4.6.5-1)
[2010-11-08 15:35] installed xfce4-settings-devel (4.7.4-1)

[2010-11-08 15:36] Running 'pacman -U xfce4-session-devel-4.7.1-1-x86_64.pkg.tar.xz'
[2010-11-08 15:36] removed xfce4-session (4.6.2-2)
[2010-11-08 15:36] installed xfce4-session-devel (4.7.1-1)

[2010-11-08 15:37] Running 'pacman -U xfdesktop-devel-4.7.2-2-x86_64.pkg.tar.xz'
[2010-11-08 15:37] installed xfdesktop-devel (4.7.2-2)

[2010-11-08 15:38] Running 'pacman -Ud xfwm4-devel-4.7.1-2-x86_64.pkg.tar.xz'
[2010-11-08 15:38] removed xfwm4 (4.6.2-1)
[2010-11-08 15:38] installed xfwm4-devel (4.7.1-2)

[2010-11-08 15:39] Running 'pacman -U xfce-utils-devel-4.7.1-1-x86_64.pkg.tar.xz'
[2010-11-08 15:39] removed xfce-utils (4.6.2-2)
[2010-11-08 15:39] NOTE
[2010-11-08 15:39] ----
[2010-11-08 15:39]  ==> xfce can run on top of a framebuffer. However, for most users it is
[2010-11-08 15:39]  ==> best to install xorg as an x-server. Please install either xorg-xinit
[2010-11-08 15:39]  ==> as minimal environment or the xorg meta package.
[2010-11-08 15:39]  pacman -S xorg-xinit
[2010-11-08 15:39]       -- or --
[2010-11-08 15:39]  pacman -S xorg
[2010-11-08 15:39] installed xfce-utils-devel (4.7.1-1)

[2010-11-08 15:39] Running 'pacman -U xfce4-appfinder-devel-4.7.1-1-x86_64.pkg.tar.xz'
[2010-11-08 15:40] installed xfce4-appfinder-devel (4.7.1-1)

[2010-11-08 16:01] Running 'pacman-color -U /tmp/yaourt-tmp-mrns/PKGDEST.ddU/xfce4-mixer-git-20101108-1-x86_64.pkg.tar.xz'
[2010-11-08 16:01] removed xfce4-mixer (4.6.1-1)
[2010-11-08 16:01] installed xfce4-mixer-git (20101108-1)

Offline

#8 2010-11-09 11:31:35

5in4
Member
From: Germany
Registered: 2009-03-09
Posts: 6
Website

Re: Xfce 4.8 pre1

Cdh wrote:

For xfce 4.6 svn there was a repo. That would be really nice again.

Actually I really like the idea, it was very useful back then.
Is anyone able to create packages for a repo? I could only provide a server and some traffic…

Offline

#9 2010-11-09 11:47:06

marines
Member
From: Poland
Registered: 2010-08-21
Posts: 20
Website

Re: Xfce 4.8 pre1

5in4 wrote:
Cdh wrote:

For xfce 4.6 svn there was a repo. That would be really nice again.

Actually I really like the idea, it was very useful back then.

There is GIT repo now.
http://git.xfce.org/

I don't have any clue how to create own repo but you can use my packages: http://mariuszkujawski.pl/arch/xfce4.8pre1/

Offline

#10 2010-11-09 12:55:57

nbvcxz
Member
From: Poland
Registered: 2007-12-29
Posts: 193

Re: Xfce 4.8 pre1

marines wrote:

I don't have any clue how to create own repo but you can use my packages: http://mariuszkujawski.pl/arch/xfce4.8pre1/

You can report your changes and ideas to magicrhesus - send him PKGBUILDS, or just send your changes in comments to particular builds in AUR (that would be the best to maintain)


Lenovo G50 | LXQT-git | compton | conky

Offline

#11 2010-11-09 16:05:29

AndyRTR
Developer
From: Magdeburg/Germany
Registered: 2005-10-07
Posts: 1,638

Re: Xfce 4.8 pre1

I'm the maintainer of the packages in extra. I'm already running the pre1 release on my notebook. It still has a few issues. I'll bring it quickly to testing when it's really safe for daily work. Should be when it becomes pre2.

Right now I can't manage to get the weather plugin working, two icons are missing in the settings dialog, no system sounds (see other  old thread) and a kindy slower startup. Maybe more.

Offline

#12 2010-11-11 18:45:43

magicrhesus
Member
From: Belgium
Registered: 2008-12-03
Posts: 43

Re: Xfce 4.8 pre1

I created a repository for the xfce4-devel packages that are in AUR

[xfce4-devel]
Server = http://arch.ouranos.be/$repo/$arch/

I'm in touch with AndyRTR to keep these packages as close as the one that will be officially released later so feel free to come back with any issues you encounter.
I'll write asap documentation to use xfce without hal and more globally for xfce 4.8

Offline

#13 2010-11-11 19:09:39

marines
Member
From: Poland
Registered: 2010-08-21
Posts: 20
Website

Re: Xfce 4.8 pre1

Thanks a lot magicrhesus. smile

Offline

#14 2010-11-12 06:07:16

Cdh
Member
Registered: 2009-02-03
Posts: 1,098

Re: Xfce 4.8 pre1

Thanks, it works great and is much faster then before. I deleted (backed up) .config/xf* and .cache/*, so maybe this has something to do with it too.

marines wrote:

xfce4-mixer-git works well for me.

Could you please include it in the repo?

Actually could you try to add everything from xfce4-goodies from which working devel versions exist? smile

Edit: Two situations:
I tried to set the "group" option in the taskbar to "always" and I tried to set a custom order of the buttons in the xfwm4 preferences. Both resulted in the panel / the windowmanager segfaulting, getting restarted, segfaulting etc. Is this normal for now?

Last edited by Cdh (2010-11-12 11:44:32)


฿ 18PRsqbZCrwPUrVnJe1BZvza7bwSDbpxZz

Offline

#15 2010-11-12 11:55:23

magicrhesus
Member
From: Belgium
Registered: 2008-12-03
Posts: 43

Re: Xfce 4.8 pre1

Some guys report the same issue in the xfce bug tracker so it seems to be 'normal'.
I'll add these packages later today or tomorrow in the morning.

Offline

#16 2010-11-12 12:36:40

nbvcxz
Member
From: Poland
Registered: 2007-12-29
Posts: 193

Re: Xfce 4.8 pre1

magicrhesus wrote:

I'll write asap documentation to use xfce without hal and more globally for xfce 4.8

Great work. I wait for any advice to force Xfce 4.8 operate withe pure UDEV or UDISKS.

Just few questions (not directly related to this version but Xfce in gneral):

  • Which polkit agent to use (there is LXPolkit) ... or can we just use eg. UDISKS or NetworkManager without it?

  • Is there 'lighter' replacement for nm-gnome-applet? CNetworkManager works fine, but I don't wan't to spend lot of hours learning how to configure it to operate full automatically (eg. scripts that auto connect to networks).


Lenovo G50 | LXQT-git | compton | conky

Offline

#17 2010-11-13 00:12:47

magicrhesus
Member
From: Belgium
Registered: 2008-12-03
Posts: 43

Re: Xfce 4.8 pre1

Cdh wrote:

Thanks, it works great and is much faster then before. I deleted (backed up) .config/xf* and .cache/*, so maybe this has something to do with it too.

marines wrote:

xfce4-mixer-git works well for me.

Could you please include it in the repo?

Actually could you try to add everything from xfce4-goodies from which working devel versions exist? smile

Edit: Two situations:
I tried to set the "group" option in the taskbar to "always" and I tried to set a custom order of the buttons in the xfwm4 preferences. Both resulted in the panel / the windowmanager segfaulting, getting restarted, segfaulting etc. Is this normal for now?

xfce4-mixer-git has been included in the repo

Offline

#18 2010-11-13 00:19:56

magicrhesus
Member
From: Belgium
Registered: 2008-12-03
Posts: 43

Re: Xfce 4.8 pre1

nbvcxz wrote:
magicrhesus wrote:

I'll write asap documentation to use xfce without hal and more globally for xfce 4.8

Great work. I wait for any advice to force Xfce 4.8 operate withe pure UDEV or UDISKS.

Just few questions (not directly related to this version but Xfce in gneral):

  • Which polkit agent to use (there is LXPolkit) ... or can we just use eg. UDISKS or NetworkManager without it?

FI do not use any particular polkit agent, simply udisks

nbvcxz wrote:
  • Is there 'lighter' replacement for nm-gnome-applet? CNetworkManager works fine, but I don't wan't to spend lot of hours learning how to configure it to operate full automatically (eg. scripts that auto connect to networks).

I personnaly use wicd on my laptop (the only inconvenient is the fact that you can't use the wired and wireless connection at the same time (planned for version 2.0)

Offline

#19 2010-11-14 16:36:48

marines
Member
From: Poland
Registered: 2010-08-21
Posts: 20
Website

Re: Xfce 4.8 pre1

magicrhesus wrote:

I created a repository for the xfce4-devel packages that are in AUR
[xfce4-devel]
Server = http://arch.ouranos.be/$repo/$arch/

pacman says that each package from xfce4-devel group is corrupted and asks if I would like to delete them.

Offline

#20 2010-11-14 16:59:45

magicrhesus
Member
From: Belgium
Registered: 2008-12-03
Posts: 43

Re: Xfce 4.8 pre1

marines wrote:
magicrhesus wrote:

I created a repository for the xfce4-devel packages that are in AUR
[xfce4-devel]
Server = http://arch.ouranos.be/$repo/$arch/

pacman says that each package from xfce4-devel group is corrupted and asks if I would like to delete them.

Could you try back, I was doing some tasks on the repo ?

Offline

#21 2010-11-14 17:23:03

marines
Member
From: Poland
Registered: 2010-08-21
Posts: 20
Website

Re: Xfce 4.8 pre1

it works well now. smile

Offline

#22 2010-11-15 15:56:59

scarecrow
Member
From: Greece
Registered: 2004-11-18
Posts: 714

Re: Xfce 4.8 pre1

You cannot modify the xfwm4 buttons yet- the caption bar loses everything if you add/remove a button.


Microshaft delenda est

Offline

#23 2010-11-15 16:30:56

Cdh
Member
Registered: 2009-02-03
Posts: 1,098

Re: Xfce 4.8 pre1

For me it went into a segfault loop wich I don't really like. Yes, I know it is in development but I'd still have controls that are known to not work yet disabled.

magicrhesus wrote:

xfce4-mixer-git has been included in the repo

Thank you btw.


฿ 18PRsqbZCrwPUrVnJe1BZvza7bwSDbpxZz

Offline

#24 2010-11-16 19:52:42

shemz
Member
Registered: 2010-04-23
Posts: 135

Re: Xfce 4.8 pre1

The notification area cuts down first icon in the tray. The panel segfaults sometime. I still cannot add keyboard shortcuts using the settings gui. But overall, I would say it pretty useable. And the thunar GVFS implementation is carried out very finely, no problems with that so far; in fact my first impression is that it works better than in nautilus.

magicrhesus, thanks for the repo.

Last edited by shemz (2010-11-16 19:59:01)

Offline

#25 2010-11-17 14:33:38

nbvcxz
Member
From: Poland
Registered: 2007-12-29
Posts: 193

Re: Xfce 4.8 pre1

shemz wrote:

The notification area cuts down first icon in the tray.

Probably it depends on gtk theme. Mine Shiki-Dust works fine, while with Mint-X-Metal few pixels from left side of system tray (notification area) are cut - confirmed.

shemz wrote:

The panel segfaults sometime.

That never happened to me. Do you use task grouping?


Lenovo G50 | LXQT-git | compton | conky

Offline

Board footer

Powered by FluxBB